Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.optaplanner.benchmark.impl.ranking
Enum SolverBenchmarkRankingType

    java.lang.Object
      java.lang.Enum<SolverBenchmarkRankingType>
          org.optaplanner.benchmark.impl.ranking.SolverBenchmarkRankingType

All Implemented Interfaces:
  Serializable, Comparable<SolverBenchmarkRankingType>

    public enum SolverBenchmarkRankingType

extends Enum<SolverBenchmarkRankingType>

Enum Constant Summary
`TOTAL_RANKING` Maximize the overall ranking.
`TOTAL_SCORE` Maximize the overall score, so minimize the overall cost if all `Solution`s would be executed.
`WORST_SCORE` Minimize the worst case scenario.

Method Summary
`static SolverBenchmarkRankingType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SolverBenchmarkRankingType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TOTAL_SCORE

    public static final SolverBenchmarkRankingType TOTAL_SCORE

  Maximize the overall score, so minimize the overall cost if all `Solution`s would be executed.

  See Also:
    `TotalScoreSolverBenchmarkRankingComparator`

### WORST_SCORE

    public static final SolverBenchmarkRankingType WORST_SCORE

  Minimize the worst case scenario.

  See Also:
    `WorstScoreSolverBenchmarkRankingComparator`

### TOTAL_RANKING

    public static final SolverBenchmarkRankingType TOTAL_RANKING

  Maximize the overall ranking.

  See Also:
    `TotalRankSolverBenchmarkRankingWeightFactory`

Method Detail

### values

    public static SolverBenchmarkRankingType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SolverBenchmarkRankingType c : SolverBenchmarkRankingType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SolverBenchmarkRankingType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.